
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>cordova+vue 项目打包成Android（apk）应用 / 憋错料</title>

    <meta name="description" content="cordova+vue 项目打包成Android（apk）应用 现在使用vue开发的项目越来越多,使用vue开发的移动端打包就成了最大的问题.现在前端打包方案有好多种,但是综合来说,我比较喜欢用cordova来进行Android和ios的打包,配置完成之后,每次只需要一条命令就可以完成打包. 1.安装cordova这一步的前提是已经完成安装node和npm,如果没有安装的话,请先完成node和npm的安装.node安装:直接进入官网https://nodejs.org/zh-cn/,下载最新版本安装.安装之后在命令行中使用&quot;node -v&quot ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">cordova+vue 项目打包成Android（apk）应用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>现在使用vue开发的项目越来越多，使用vue开发的移动端打包就成了最大的问题。<br />现在前端打包方案有好多种，但是综合来说，我比较喜欢用cordova来进行Android和ios的打包，配置完成之后，每次只需要一条命令就可以完成打包。</p>
<p>1.安装cordova<br />这一步的前提是已经完成安装node和npm,如果没有安装的话，请先完成node和npm的安装。<br />node安装：直接进入官网<a href="https://nodejs.org/zh-cn/" rel="external nofollow noreferrer">https://nodejs.org/zh-cn/</a>，下载最新版本安装。安装之后在命令行中使用”node -v” 检查安装是否成功。<br />npm安装：由于新版的nodejs已经集成了npm，所以node安装时npm也一并安装好了。同样可以通过输入 “npm -v” 来测试是否成功安装。<br />使用命令</p>
<pre>npm install -g cordova
</pre>
<p>来全局安装cordova，安装成功之后，使用命令</p>
<pre>cordova -v
</pre>
<p>来检查是否正确安装，正确安装会显示安装的cordova版本号。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUyNTk2NTE3LnBuZw==.jpg"></p>
<p>2.新建cordova项目<br />执行命令</p>
<pre>cordova create myApp1 org.apache.cordova.myApp myApp2
cd myApp1</pre>
<p>来新建cordova项目，初始化cordova开发环境。<br />其中：</p>
<p><em>myApp1：cordova目录名<br />org.apache.cordova.myApp： 包名<br />myApp2： 项目名（在config.xml中查看）</em></p>
<p>生成的cordova文件中</p>
<p><em>config.xml -包含应用相关信息，使用到的插件以及面向的平台</em></p>
<p><em>platforms – 包含应用运行平台如 Android 和 iOS 上对应的 Cordova 库</em></p>
<p><em>plugins – 包含应用所需插件的 Cordova 库，使得应用能够访问例如照相机和电池状态相关的事项。</em></p>
<p><em>www – 包含应用源代码，例如 HTML, JavaScript 和 CSS 文件</em></p>
<p><em>hooks – 包含为个性化应用编译系统所需的脚本</em></p>
<p>使用命令</p>
<pre>cordova platform add android
</pre>
<p>来生成Android平台的cordova库，这时platforms文件夹中会生成一个android文件夹。<br />到这里，cordova项目就已经建好了。</p>
<p>3.新建vue项目</p>
<p><strong><strong>为了方便，不需要每次编译都拷贝文件，可直接在cordova项目根目录中创建vue项目。</strong></strong></p>
<p>首先全局安装Vue-cli脚手架。</p>
<pre>npm install -g vue
npm install -g vue-cli
</pre>
<p>然后使用命令</p>
<pre>vue init webpack MyApp
</pre>
<p>新建vue项目。完成之后的目录如下所示。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUyNjk4MDgzLnBuZw==.jpg"></p>
<p>到这里，vue项目即构建完成。</p>
<p>4.修改文件<br />修改Vue项目config/index.js文件.</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUyODQ2NTI3LnBuZw==.jpg"></p>
<p>5.编译vue项目<br />在vue项目根目录执行命令</p>
<pre>npm run build
</pre>
<p>即可编译vue项目自动到cordova主目录下的www文件夹中。</p>
<p>6.调试打包apk软件<br />调试打包软件之前，首先检查androidsdk是否正确安装，执行命令</p>
<pre>cordova requirements
</pre>
<p>即可看到当前环境中sdk安装情况。显示如下即表示环境正确安装。（只需确认正确安装即可，不需每次都去检查）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzMTQ5MjczLnBuZw==.jpg"></p>
<p>在cordova主目录下使用命令</p>
<pre>cordova run android
</pre>
<p>来联调android软件（需连接真机或者模拟器）。<br />执行命令</p>
<pre>cordova build android
</pre>
<p>来打包成apk软件（…/cordovaApp/platforms/android/app/build/outputs/apk/debug/app-debug.apk）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzMjIyNTE4LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzMjg1MDIwLnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzMzQ4NDk5LnBuZw==.jpg"></p>
<p>7.APK签名<br />APK都必须经过数字签名后才能安装到设备上，签名需要对应的证书（keystore），大部分情况下 APK 都采用的自签名证书，就是自己生成证书然后给应用签名。<br />数字签名证书是给APK打包所必需的文件，所以我们先要把数字签名证书生成。<br />在命令提示符下输入</p>
<pre>keytool -genkey -v -keystore D:\mytest.keystore -alias mytest -keyalg RSA -validity 20000
</pre>
<p>　　<em>*-keystore D:/mytest.keystore表示生成的证书及其存放路径，如果直接写文件名则默认生成在用户当前目录下；<br />　　-alias mytest 表示证书的别名是mytest,不写这一项的话证书名字默认是mykey；<br />　　-keyalg RSA 表示采用的RSA算法；<br />　　-validity 20000表示证书的有效期是20000天。*</em></p>
<p>根据指令输入密钥库口令，是不可见的。依次输入下面的问题。最后到【否】那里时输入y<br />再输入密钥口令（可以与密钥库口令相同），如果相同，直接回车，记住这两个口令，后面签名会使用到。<br />这时便会生成一个文件mytest.keystore，就是我们需要的签名文件。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzNDU2OTAyLnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzNTQwODg5LnBuZw==.jpg"></p>
<p>生成带签名的apk有两种方式，一种先生成未签名debug版本，再加上数字签名证书然后生成带签名的APK。另外一种就是直接一条命令生成带签名的APK。<br />（1）先生成未签名的debug版本的apk<br />首先执行命令</p>
<pre>cordova build android --release
</pre>
<p>　就会生成一个app-release-unsigned.apk。把数字签名放到生成的未签名的apk所在的目录下，输入以下命令：</p>
<pre>jarsigner -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore mytest.keystore app-release-unsigned.apk mytest
</pre>
<p>这时的apk就会是一个已经签名的apk了，修改一下名字即可直接放到设备上安装。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzNjAxNDM4LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzNzA0OTU4LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzODEyMzg0LnBuZw==.jpg"></p>
<p>(2)直接生成带签名的apk<br />有了数字签名之后,数字签名需要放在cordova项目根目录下或者可以修改下面指令的keystore里的路径可以直接在cordova build中指定所有参数来快速打包，这会直接生成一个android-release.apk(已经是带签名的了)</p>
<pre>cordova build android --release --keystore="mytest.keystore" --alias=mytest --storePassword=testing --password=testing1
</pre>
<p><em>keystore 后面是数字签名证书， –alias 后面是别名 storePassword 后面是密钥库口令 password 后面是密钥口令</em></p>
<p><em><strong>注意：命令中口令要替换成自己的，就是生成签名是需要记住的那两个口令</strong></em></p>
<p><em><strong><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzUzOTQ4MTMxLnBuZw==.jpg"></strong></em></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzU0MDQzODM4LnBuZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzU0MTYxMDMwLnBuZw==.jpg"></p>
<p>但每次打包输入命令行参数是很重复的，Cordova 允许我们建立一个 build.json 配置文件来简化操作。在cordova根目录新建文本文档，改名为build.json。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzU0MjE5NjI2LnBuZw==.jpg"></p>
<p>文件内容如下</p>
<pre>{
　　”android”: {
　　　　”release”: {
　　　　　　”keystore”: “mytest.keystore”,
　　　　　　”alias”: “mytest”,
　　　　　　”storePassword”: “testing”,
　　　　　　”password”: “testing2”
　　　　　　}　　
　　　　}
　　}
</pre>
<p>　　<img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzU0MzIyMTY5LnBuZw==.jpg"></p>
<p>但下面的两个密码建议不要写到里面去，可以去掉然后手动输入。</p>
<p>直接使用</p>
<pre>cordova build –release
</pre>
<p>就可以生成带签名的apk了</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UubWFtaWNvZGUuY29tL2luZm8vMjAxODAyLzIwMTgwMjA2MTEyNzU0NDA1MTgwLnBuZw==.jpg"></p>
<p><strong>注意：cordova build后面没有android</strong></p>

<p>原文地址：https://www.cnblogs.com/qirui/p/8421372.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 21:02:35 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/%e7%8e%af%e5%a2%83/" title="环境">环境</a>, <a href="https://www.biecuoliao.com/tag/%e5%bb%ba%e8%ae%ae/" title="建议">建议</a>, <a href="https://www.biecuoliao.com/tag/%e6%89%8b%e5%8a%a8/" title="手动">手动</a>, <a href="https://www.biecuoliao.com/tag/png/" title="png">png</a>, <a href="https://www.biecuoliao.com/tag/%e7%a7%bb%e5%8a%a8/" title="移动">移动</a>, <a href="https://www.biecuoliao.com/tag/%e5%89%8d%e7%ab%af/" title="前端">前端</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>cordova+vue 项目打包成Android（apk）应用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47dBqoM.html" rel="bookmark">使用HBuilderX将vue项目打包成app</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因为项目要用到手机扫一扫的功能,纯H5的话我百度之后只能做到调用摄像头,拍照后识别二维码,无法做到自动识别 看到H5+有扫码功能,所以今天尝试用HBuilderX将vue项目打包成app 总的流程很简单,这真的要感谢H5中国产业联盟做出的贡献.将vue打包,生成dist文件夹,HBuilderX创建H5+App项目,这里选择的是默认模版,然后将dist里的文件夹覆盖到新项目,就可以云打包成app下载到手机或者直接进行真机调试 生成app后遇到的第一个坑就是白屏,原因是页面找不到 为了解决跨域问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyN9LY0.html" rel="bookmark">Cocos2dx开发（3）&mdash;&mdash;Cocos2dx打包成Android APK，ANT环境搭建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面cocos2dx的运行环境(Android SDK,JDK,),最后Cocos2dx的APK的打包环境,最运行环境上再加ANT环境就好了 1.ANT下载配置 官网下载:http://ant.apache.org/bindownload.cgi 解压放到你的合适目录,把ANT根目录的bin 添加到环境变量Path里 这里是E:\DevelopTool\AndroidTool\apache-ant-1_9_4\bin 重新打开命令窗,如下表示成功 打开cocos2dx根目录运行 download			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP9zZP0.html" rel="bookmark">血淋淋的教训&mdash;将Vue项目打包成app的跨域问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 devServer: { 2 host: '192.168.1.58', 3 port: 9999, 4 historyApiFallback: true, 5 noInfo: true, 6 overlay: true, 7 // 配置服代理务器 8 9 proxy: { 10 '/hydro/': { // 只要指向/hydro/的请求,都会自动代理到下面的target的地址 11 target: &quot;http://192.168.1.180:8081&quot;, //对方服务器地址 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35VgnV4.html" rel="bookmark">Android开发把项目打包成apk，安卓到手机上，或者提交到app应用商店</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#1.用Eclipse的话导出app其实还是很容易的.大家看我的步骤.有图有真相哦 选择一个项目 创建一个新的,位置随便,下面是密码 这里都是一些名字,地区,组织,国家.看你们自己的了 选择你要存放apk的位置 打完收工 Android开发把项目打包成apk,安卓到手机上,或者提交到app应用商店,布布扣,bubuko.com			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JbkvA4.html" rel="bookmark">（转）Android开发把项目打包成apk</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转:http://blog.csdn.net/luoyin22/article/details/7862742 做完一个Android项目之后,如何才能把项目发布到Internet上供别人使用呢?我们需要将自己的程序打包成Android安装包文件--APK(Android Package),其后缀名为&quot;.apk&quot;.将APK文件直接上传到Android模拟器或Android手机中执行即可进行安装.Android系统要求具有其开发者签名的私人密钥的应用程序才能够被安装.生成数字签名以及打包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MywPem3.html" rel="bookmark">Android开发把项目打包成apk-（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做完一个Android项目之后,如何才能把项目发布到Internet上供别人使用呢?我们需要将自己的程序打包成Android安装包文件--APK(Android Package),其后缀名为&quot;.apk&quot;.将APK文件直接上传到Android模拟器或Android手机中执行即可进行安装.Android系统要求具有其开发者签名的私人密钥的应用程序才能够被安装.生成数字签名以及打包项目成APK都可以采用命令行的方式,但是通过Eclipse中的向导我们会更加方便地完成整个流程,打包发布的过程非			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NGGKJM.html" rel="bookmark">如何把多个Android Project打包成一个APK</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何把多个Android Project打包成一个APK(你的项目如何引用其他项目). 如何把多个android project 打包成一个apk呢,其实原理是这样的,一个主project引用其他的project,其他project类似于jar包一样被引用,当然和jar的引用原理有很大的区别.下面是详细的说明. 第一步,把普通的android project设置成库项目 库项目也是一个标准的android项目,因此你先创建一个普通的android项目. 这个项目可以起任何的名称,任何的报名,设置			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35mWQX3.html" rel="bookmark">AndroidStudio项目打包成jar</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:在eclipse中我们知道如何将一个项目导出为jar包,现在普遍AndroidStuido开发,这里一步一步详加介绍AS项目打包成jar,jar和arr的使用 一.作用: 为了供其它项目使用,将项目打包成jar 二.步骤(AndroidStudio): 1.像平常一个样新建一个项目(步骤省略)2.(在步骤1的基础上)点击File--&gt;New--&gt;New Module-&gt;选择Android Library--&gt;点击Next(如下图:)定义好Library的工程名:library			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aO6JA4.html" rel="bookmark">将Java项目打包成可以独立运行的Jar包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因为一直也没怎么用过Java的原因,所以以前本科上课的时候,在控制台下运行Java程序都是仅仅运行单个的没有第三方库依赖的情况下运行的 那种情况特别简单,只要输入Javac 文件名.java等到编译完,再执行java 文件名 直接就可以运行了,但是,在公司实习需要写一个独立的来运行的项目, 并且可能要通过脚本来定时的运行,这样的话,最好是将项目打包成一个Jar包,然后,使用crontab创建一个新的定期运行的作业就可以了. 这样就可以使用java -jar 项目.jar来定时的运行这个任务. 但			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eOpJ4.html" rel="bookmark" class="title">C语言  &amp;&num;183&semi;  寂寞的数</a>
					<div>
						算法训练 寂寞的数 时间限制:1.0s   内存限制:256.0MB 问题描述 道德经曰:一生二,二生三,三生万物. 对于任意正整数n,我们定义d(n)的值为为n加上组成n的各个数字的和.例如,d(2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M68vny3.html" rel="bookmark" class="title">CSS盒模型简单用法</a>
					<div>
						1.盒模型 margin:外边距: margin-top /margin-right/margin-bottom/margin-left; 或者 margin:top right bottomleft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGbo6M.html" rel="bookmark" class="title">MFC&colon; Create Directory</a>
					<div>
						Original link: How to check if Directory already Exists in MFC(VC++)? MSDN Links: CreateDirectory fu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDZABn3.html" rel="bookmark" class="title">重温JSP学习笔记--与日期数字格式化有关的jstl标签库</a>
					<div>
						上一篇笔记写的主要是JSTL的core标签库,如果想对一些数字或者日期做一些操作或者在网页上显示指定格式的数字或日期,jstl还提供了另一个fmt标签库,这里简单介绍一下: 第一步,导入标签库: &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q856k3.html" rel="bookmark" class="title">同一个硬盘安装win10&plus;ubuntu双系统</a>
					<div>
						记录下最近准备玩下ubuntu而 折腾系统的状态 华擎B150M Combo-G+240SSD 64G win10 +36G ubuntu  + 其余存储和装win应用 一.装win10 1.去MSD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0d5JGe3.html" rel="bookmark" class="title">-ia utopia 里的乌托邦</a>
					<div>
						个人认为utopia 翻译成古语词 桃花源 比较好,但是根据其定义  an imaginary island enjoying the utmost perfection in legal, soci ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgoek3.html" rel="bookmark" class="title">JVM基本知识总结</a>
					<div>
						大概两三个月之前阅读了&lt;深入理解Java虚拟机&gt;(周志明著),也为了加深印象,这里简单的做下总结,想完整点了解JVM知识的也可以阅读本书,书写的不错,相当通俗易懂. 第一部分 内存管理机制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORNKo0.html" rel="bookmark" class="title">show&lowbar;space&sol;get&lowbar;alert&lowbar;log&sol;get&lowbar;trace&lowbar;file</a>
					<div>
						1.get_alert_log 获取alert文件的路径和名称 set serveroutput on        --设置输出,让sqlplus在屏幕上可以输出.(要加入到login.sql中!) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6brXZM.html" rel="bookmark" class="title">高性能网站架构缓存&mdash;&mdash;redis集群</a>
					<div>
						相信你已经对redis有一定的了解,并能够安装上,进行简单的使用了,但是在咱们的实际应用中,使用redis肯定不会使用单机版,不光是redis不能使用单机版,其他的也不会使用,所以今天我们来说一下re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymbnVM.html" rel="bookmark" class="title">android中Service使用详解</a>
					<div>
						service用于长期在后台处理任务,而不需要对用户可见. service有2种基本的启动方式: startService():使用这种方式,来进行单一的任务,不需要返回结果给调用者 bindServ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPBxy4.html" rel="bookmark" class="title">asp&period;net mvc ClaimsIdentity 授权研究 （还是测试版 有bug）</a>
					<div>
						安装 Microsoft.Owin.Host.SystemWeb Identity.Core Microsoft.Owin.Security.Cookies 在是startup.cs做如下修改 pub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41GQoJ0.html" rel="bookmark" class="title">Adapter&lpar;适配器）-类对象结构型模式</a>
					<div>
						1.意图 将一个类接口转换成客户希望的另外一个接口.Adapter模式使那些原本不能一起工作的类,可以一起工作. 2.别名 包装器 Wrapper. 3.动机 一个应用可能会有一些类具有不同的接口,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mynarj0.html" rel="bookmark" class="title">hiho 第155周 任务分配</a>
					<div>
						最小路径覆盖会超时: 贪心思路: 按照开始时间排序,然后根据结束时间,维护一个以结束时间的单调递增的队列,每次与最快结束的任务进行比较即可: /* #include &lt;cstdio&gt; #i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnPNK3.html" rel="bookmark" class="title">MVC模式开发图书商城项目分析</a>
					<div>
						MVC模式开发图书商城项目分析 1. 功能分析 1.用户注册 2.用户登录 3.添加商品(CURD) 4.商品查看-- 列表查询 5.商品详情页面 6.将商品添加购物车 7.查看购物车 8.修改购物车 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXGmbz4.html" rel="bookmark" class="title">基础算法之插入排序Insertion Sort</a>
					<div>
						原理 通过构建有序序列,对于未排序数据,在已排序序列中从后向前扫描,找到相应位置并插入.通常采用in-place排序(即只需用到O(1)的额外空间的排序),因而在从后向前扫描过程中,需要反复把已排序元 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0baNvoM.html" rel="bookmark" class="title">Eclipse中中文注释字体太小的解决方案</a>
					<div>
						Eclipse中输入中文注释,发现字太小气,肿么办?一番摸索之后,发现可以这样解决. 方法/步骤 首先,选择windows-&gt;preference   在这里如图进行选择,最后点击edit按钮  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVm9wx4.html" rel="bookmark" class="title">win32汇编实现一个简单的TCP服务端程序（WinSock的简单认知应用）</a>
					<div>
						Windows网络编程,相信好多人都知道,但是我们一般都是用其他语言编写,例如C,C++,JAVA,python等等,这些语言都可以,但是汇编语言比较底层,利用它,我们可以更清晰的了解到网络编程的内在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPg8OP4.html" rel="bookmark" class="title">heartbeat 3&period;X 源码安装</a>
					<div>
						原码安装heartbeat 需要三个包 1.groupadd haclient 2.useradd -g haclient hacluster Heartbeat-3-0-7e3a82377fa8.t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JGpmAM.html" rel="bookmark" class="title">C&num; web 获取服务端cookie</a>
					<div>
						CookieContainer cookies = new CookieContainer();            string url = &quot;http://120.24.56.48:8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YmoVa0.html" rel="bookmark" class="title">SQL Performance Improvement Techniques（转）</a>
					<div>
						原文地址:http://www.codeproject.com/Tips/1023621/SQL-Performance-Improvement-Techniques This article pro ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
